:root {
  --main-color: #ffffff;
  --second-color: #000000;
  --third-color: #282828;
  --fourth-color: #E7EAEF;
}
* {
  scroll-behavior: smooth;
}

body {
  background: #E7EAEF;
  font-family: 'Cormorant Garamond';
  color: var(--main-color);
  font-size: 20px;
  font-weight: 700;
}

[class*="__container"] {
  max-width: 1200px;
  padding: 0 10px;
  margin: 0 auto;
}

.wrapper {
  display: flex;
  flex-direction: column;
  gap: 100px;
  min-height: 100%;
  overflow: hidden;
}

.main {
  display: flex;
  flex-direction: column;
  gap: 100px;
  flex: 1 1 auto;
}

.hidden {
	display: none;
}

.title {
  /* font-weight: 400;
  font-family: 'Great Vibes', cursive; */
  color: var(--second-color);
  font-size: 30px;
  font-style: italic;
}

/* =====================
   PIANO
===================== */
.piano__wrapper{
  position: absolute;
  width: 100%;
  height: 450px;
  justify-items: center;
  background: linear-gradient(#000, var(--fourth-color));
  filter: brightness(60%);
  z-index: -1;
}

.piano {
  position: absolute;
  display: flex;
  top: -10px;
  background: linear-gradient(#000, var(--fourth-color));
  z-index: -1;
}

/* =====================
   OCTAVE
===================== */
.octave {
  position: relative;
  display: flex;
}

/* =====================
   WHITE KEYS
===================== */
.white-key {
  width: 65px;
  height: 460px;
  background: linear-gradient(#fff, #ddd);
  border: 1px solid #999;
  border-radius: 0 0 6px 6px;
  transition: transform 0.1s, box-shadow 0.1s;
}

.white-key.active {
  transform: translateY(6px);
  box-shadow: inset 0 0 10px rgba(0,0,0,0.6);
}

/* =====================
   BLACK KEYS
===================== */
.black-key {
  position: absolute;
  width: 45px;
  height: 300px;
  background: linear-gradient(#333, #000);
  top: 0;
  z-index: 10;
  border-radius: 0 0 5px 5px;
  transition: transform 0.1s, box-shadow 0.1s;
}

.black-key.active {
  transform: translateY(6px);
  box-shadow: inset 0 0 10px rgba(255,255,255,0.3);
}

/* Black key offsets RELATIVE TO OCTAVE */
.black-key.cs { left: 42px; }
.black-key.ds { left: 107px; }
.black-key.fs { left: 237px; }
.black-key.gs { left: 302px; }
.black-key.as { left: 367px; }


/* =====================
   HEADER
===================== */
.header {
  position: fixed;
  top: 0;
  left: 0;
  height: 100px;
  width: 100%;
  background: transparent;
  z-index: 100;
  transition: all 1s;
}
.header--fixed{
  background: #ffffff;
}
.header__wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100px;
}
.header__logo {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  z-index: 5;
  height: 100px;
}
.header__section-right {
  font-size: 25px;
  display: flex;
  align-items: center;
  width: 77%;
  gap: 10px;
  justify-content: space-between;
}
.header__menu {
  flex-shrink: 0;
}
.header__button {
  position: relative;
  width: 179px;
  height: 58px;
  background: var(--main-color);
  border: 2px solid var(--third-color);
  border-radius: 15px;
  display: flex;
  z-index: 1;
  order: 1;
  transition: all 1s;
}
.header__button:hover {
  background: var(--third-color);
}

.header__button-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}
.header__button-link {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  color: var(--third-color);
  line-height: 112%;
  padding: 20px 40px;
  transition: all 1s;
}
.header__button-link::before {
  content: '';
  width: 16px;
  height: 16px;
  background: url(../images/Header-arrow-black.svg) 0 0 / contain no-repeat;
  position: absolute;
  top: 24px;
  left: 125px;
  opacity: 1;
  transition: all 1s;
}
.header__button-link::after {
  content: '';
  width: 16px;
  height: 16px;
  background: url(../images/Header-arrow-white.svg) 0 0 / contain no-repeat;
  position: absolute;
  top: 24px;
  left: 125px;
  opacity: 0;
  transition: all 1s;
}
.header__button-link:hover::before {
  opacity: 0;
}
.header__button-link:hover::after {
  opacity: 1;
}
.header__button-link:hover {
  color: var(--main-color);
}
.menu__list {
  display: flex;
  align-items: center;
  gap: 40px;
}
.menu__link {
  line-height: 112%;
  color: var(--main-color);
  text-transform: capitalize;
  transition: all 1s;
}
.menu__link--fixed {
  color: #000;
}
.menu__link:hover {
  color: #A0AABE;
}

/* =====================
   PROMO SECTION
===================== */
.promo {
  height: 450px;
  display: flex;
  align-items: center;
}
.promo__container {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.promo__content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 20px;
}
.promo__title-wrapper {
  line-height: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  flex-wrap: wrap;
  font-family: 'Cormorant Garamond';
  font-style: normal;
  font-weight: 600;
  font-size: 80px;
  letter-spacing: 5px;
  text-transform: uppercase;
  text-align: center;
}
.promo__title-1 {
  width: 750px;
  text-align: center;
  padding-top: 50px;
}
.promo__descr {
  font-size: 25px;
  line-height: 140%;
  text-align: center;
}
.promo__buttons {
  font-size: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

/* =====================
   orenda SECTION
===================== */
.orenda {
  padding-top: 5px;
}
.orenda__wrapper {
  display: flex;
  gap: 32px;
  width: 100%;
  height: 100%;
  color: var(--second-color);
}
.orenda__section-left {
  position: relative;
  padding: 20px;
  border-radius: 15px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 100%;
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.06);
}
.orenda__section-left::before {
  content: '';
  padding: 20px;
  border-radius: 20px;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 1px solid rgba(255, 255, 255, 0.30);
  background: var(--main-color);
  -webkit-backdrop-filter: blur(70px);
  backdrop-filter: blur(70px);
  z-index: -1;
}
.orenda__title {
  position: relative;
  margin-bottom: 30px;
  width: 100%;
}
.orenda__title::before {
  content: '';
  position: absolute;
  bottom: -2px;
  left: 0;
  height: 1px;
  width: 100%;
  background: var(--second-color);
}
.orenda__descr {
  font-size: 25px;
  margin-bottom: 32px;
  line-height: 112%;
  color: var(--second-color);
}

/* ........................... */
.orenda__section-right {
  padding: 20px;
  border-radius: 15px;
  background: url(../images/Card-bg.png);
  z-index: -1;
  width: 100%;
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.06);
}
.orenda__list {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  list-style-position: inside;
  counter-reset: number;
}
.orenda__item{
  margin-bottom: 20px;
  width: 100%;
  display: flex;
  flex-direction: column;
}
.orenda__item__header {
  position: relative;
  font-size: 30px;
  font-style: italic;
  line-height: 108%;
  padding-left: 30px;
  margin-bottom: 10px;
}
.orenda__item__body{
  font-size: 25px;
}
.orenda__item__header::before {
  content: '';
  position: absolute;
  bottom: -4px;
  left: 0;
  height: 1px;
  width: 100%;
  background: #000;
}
.orenda__item__header::after {
	content: '';
  background-image: url(../images/Hashtag.svg);
	position: absolute;
  width: 18px;
  height: 18px;
	bottom: 10px;
	left: 0;
  padding-right: 10px;
}

.instruction{
  padding-top: 5px;
}
.instruction__wrapper {
  position: relative;
  padding: 20px;
  border-radius: 15px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 100%;
  color: var(--second-color);
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.06);
  border-radius: 15px;
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.06);
  background: linear-gradient(145deg, #ffffff 0%, #f3f4f6 40%, #e5e7eb 70%, #f9fafb 100%);
}
.instruction__item__header {
  position: relative;
  font-size: 30px;
  font-style: italic;
  line-height: 108%;
  padding-left: 30px;
  margin-bottom: 10px;
}
.instruction__item__body{
  font-size: 25px;
}
.instruction__item__header::before {
  content: '';
  position: absolute;
  bottom: -4px;
  left: 0;
  height: 1px;
  width: 55%;
  background: #000;
}
.instruction__item__header::after {
  font-style: normal;
  counter-increment: number;
	content: '0' counter(number);
	position: absolute;
	bottom: 0;
	left: 0;
  color: var(--second-color);
  font-size: 25px;
  text-decoration: underline;
  padding-right: 10px;
}

/* =====================
   ADDITIONAL SERVICES SECTION
===================== */
.service {
  padding-top: 5px;
}
.service__wrapper {
  display: flex;
  width: 100%;
}
.service__form {
  display: flex;
  flex-direction: column;
}
.service__section-left {
  flex-basis: 372px;
  display: flex;
  flex-direction: column;
  border-radius: 20px 0 0 20px;
  border: 1px solid rgba(255, 255, 255, 0.30);
  background: linear-gradient(168deg, #FFF 0%, rgba(255, 255, 255, 0.40) 100%);
  -webkit-backdrop-filter: blur(70px);
  backdrop-filter: blur(70px);
}
.service__title {
  position: relative;
  padding: 20px 20px 10px 20px;
}
.service__title::before {
  content: '';
  position: absolute;
  bottom: 0px;
  left: 0;
  height: 1px;
  width: 100%;
  background: #000;
  z-index: 100;
}
.service__item {
  background: transparent;
}
.service__item:hover {
  background: linear-gradient(145deg, #ffffff 0%, #f3f4f6 40%, #e5e7eb 70%, #f9fafb 100%);
  transition: all 1s ease 0s;
}
.service__item--active {
  background: linear-gradient(145deg, #ffffff 0%, #f3f4f6 40%, #e5e7eb 70%, #f9fafb 100%);
}
.service__item-link {
  color: var(--third-color);
  line-height: 112%;
  font-style: italic;
  display: flex;
  align-items: center;
  padding: 20px 20px 20px 40px;
  cursor: pointer;
  transition: all 1s ease 0s;
}
.service__item-link::before {
  content: '';
  width: 24px;
  height: 24px;
  position: absolute;
  background: url(../images/note.svg) 0 0 / contain no-repeat;
  left: 15px;
  z-index: 50;
}
.service__item-link--active {
  color: var(--second-color);
}

.service__section-right {
  width: 828px;
  border-radius: 0px 20px 20px 0px;
  border: 1px solid rgba(255, 255, 255, 0.30);
  background: linear-gradient(168deg, #FFF 0%, rgba(255, 255, 255, 0.40) 100%);
  -webkit-backdrop-filter: blur(70px);
  backdrop-filter: blur(70px);
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.service__form-inner {
  height: 420px;
  margin-bottom: 40px;
}
.service__form-title {
  position: relative;
  display: flex;
  padding-left: 20px;
  margin-bottom: 34px;
  font-size: 25px;
}
.service__form-title::before {
  content: '';
  background-image: url(../images/Hashtag18x18.svg);
  position: absolute;
  left: 0px;
  bottom: 5px;
  width: 18px;
  height: 18px;
}
.service__form-descr {
  font-weight: 600;
  font-size: 25px;
  width: 100%;
  line-height: 112%;
  /* text-transform: capitalize; */
  color: var(--third-color);
  height: 100%;
}

/* =====================
   galery SECTION
===================== */
.galery {
  padding-top: 5px;
}
.galery__wrapper {
  display: flex;
  padding: 20px;
  flex-direction: column;
  align-items: flex-start;
  gap: 30px;
  border-radius: 20px;
  background: #FFF;
}
.galery__title {
  position: relative;
  width: 100%;
  color: var(--second-color);
}
.galery__title::after {
  content: '';
  height: 1px;
  width: 100%;
  background: #000;
  position: absolute;
  bottom: -2px;
  left: 0;
}
.galery__carousel {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  flex: 1 0 0;
  align-self: stretch;
}
.galery__controls {
  display: flex;
  align-items: center;
  gap: 10px;
  align-self: stretch;
}
.galery__btn--left,
.galery__btn--right {
  display: flex;
  padding: 10px;
  justify-content: center;
  align-items: center;
  border: none;
  border-radius: 58px;
  background: #FFF;
  cursor: pointer;
}
.galery__btn--disabled {
  opacity: 0.5;
  cursor: auto;
}
*.blue {
  background: radial-gradient(4537.43% 139.76% at 0% 100%, #0038FF 0%, #BB86FF 100%);
}
*.blue svg path {
  fill: #FFF;
}
*.black {
  background: #000;
}
*.black svg path {
  fill: #FFF;
}
.galery__list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  flex: 1 0 0;
  align-self: stretch;
  margin: 0;
  padding: 0;
}
.galery__item {
  position: relative;
  width: 11%;
  height: 500px;
  border-radius: 20px;
  background: #a8a7ac;
  transition: all 0.6s;
  transition-timing-function: cubic-bezier(0.22, 0.61, 0.36, 1);
  overflow: hidden;
  cursor: pointer;
}
.galery__item:first-child{
  width: 5%;
}
.galery__item:last-child{
  width: 5%;
}
.galery__item:hover {
  width: 16%;
}
.galery__item.selected {
  width: 43%;
}
.galery__item img {
  height: 500px;
  width: 500px;
  position: absolute;
  /* filter: grayscale(100%); */
  object-fit: cover;
  transform: translateX(-50%);
  left: 50%;
}
.galery__item-content {
  width: 490px;
  position: absolute;
  left: 20px;
  bottom: 20px;
  z-index: 3;
  transition: .3s;
  opacity: 0;
}
.galery__gradient {
  width: 100%;
  height: 100%;
  position: absolute;
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.750) 0%, rgba(255,255,255,0) 40%);
  z-index: 2;
  transition: .3s;
  opacity: 0;
}
.galery__item-title {
  color: #FFF;
  font-size: 40px;
  font-style: italic;
  line-height: 108%;
}
p.galery__item-subtitle {
  font-size: 25px;
  background: #DCC1FF;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

/* =====================
   FINISH SECTION
===================== */

.finish{
   padding-top: 5px;
}
.finish__wrapper {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 32px;
  width: 100%;
  height: 100%;
  color: #2c2c2c;
}
.finish__credo {
  font-size: 50px;
  font-weight: 400;
  text-align: center;
  font-family: 'Great Vibes', cursive;
}
.finish__title {
  font-size: 40px;
}
.finish__contacts {
  display: flex; 
  flex-direction: column; 
  align-items: center; 
  font-size: 25px; 
  gap: 10px;
}

.finish__contacts__descr {
  display: flex; 
  flex-direction: column; 
  align-items: center;
}

/* =====================
   FOOTER
===================== */
.footer {
  background: var(--third-color);
  width: 100%;
  height: 100%;
}
.footer__wrapper {
  display: flex;
  margin: 0 auto;
  padding: 20px 0;
  gap: 40px;
  justify-content: center;
  align-items: center;
}
.footer__brand {
  font-size: 50px; 
  font-weight: 400;
  position: relative;
}
.footer__brand::after {
  content: '';
  position: absolute;
  top: 0;
  left: 228px;
  width: 1px;
  height: 100%;
  background: #fff;
}
.footer__descr {
  display: flex; 
  flex-direction: column;
}
